## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-system-calls
Version:        6.7.0
Release:        %{autorelease}
Summary:        System calls

License:        MIT
URL:            https://github.com/hrw/python-syscalls
Source0:        %{pypi_source system-calls}

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
%endif

%global _description %{expand:
Simple interface to get system call numbers for any architecture.
}

%description %{_description}


%package -n python3-system-calls
Summary:        %{summary}

%description -n python3-system-calls %{_description}


%prep
%autosetup -p1 -n system-calls-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files system_calls

mkdir -p %{buildroot}%{_mandir}/man1
cp -p man/syscall.1 %{buildroot}%{_mandir}/man1/



%if %{with tests}
%check
%pytest
%endif


%files -n python3-system-calls -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/syscall
%{_mandir}/man1/syscall.1*


%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 08 2024 Marcin Juszkiewicz <marcin@juszkiewicz.com.pl> - 6.7.0-1
- new upstream version 6.7.0
- new system calls:
- futex_requeue()
- futex_wait()
- futex_wake()
- map_shadow_stack()

* Mon Sep 18 2023 Marcin Juszkiewicz <marcin@juszkiewicz.com.pl> - 6.6.0-1
- Updated to Linux 6.6 version

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 6.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 6.4.0-3
- Rebuilt for Python 3.12

* Mon May 08 2023 Marcin Juszkiewicz <marcin@juszkiewicz.com.pl> - 6.4.0-2
- remove source archive

* Mon May 08 2023 Marcin Juszkiewicz <marcin@juszkiewicz.com.pl> - 6.4.0-1
- update to Linux 6.4-rc1

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.19.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Aug 06 2022 Marcin Juszkiewicz <marcin@juszkiewicz.com.pl> - 5.19.0-2
- switch to %%autorelease and %%autochangelog

* Mon Jul 25 2022 Marcin Juszkiewicz <marcin@juszkiewicz.com.pl> - 5.19.0-1
- update to 5.19

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.16.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 5.16.2-4
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.16.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Jan 10 2022 Marcin Juszkiewicz <marcin@juszkiewicz.com.pl> - 5.16.2-2
- ignore sources

* Mon Jan 10 2022 Marcin Juszkiewicz <marcin@juszkiewicz.com.pl> - 5.16.2-1
- 5.16.2

* Mon Nov 15 2021 Marcin Juszkiewicz <marcin@juszkiewicz.com.pl> - 5.16.0-2
- sources update

* Mon Nov 15 2021 Marcin Juszkiewicz <marcin@juszkiewicz.com.pl> - 5.16.0-1
- 5.16.0-1 release

* Tue Sep 21 2021 Marcin Juszkiewicz <marcin@juszkiewicz.com.pl> - 5.15.5-4
- updated README again

* Tue Sep 21 2021 Marcin Juszkiewicz <marcin@juszkiewicz.com.pl> - 5.15.5-3
- updated README

* Tue Sep 21 2021 Marcin Juszkiewicz <marcin@juszkiewicz.com.pl> - 5.15.5-2
- imported srpm

* Tue Sep 21 2021 Marcin Juszkiewicz <marcin@juszkiewicz.com.pl> - 5.15.5-1
- initial release
## END: Generated by rpmautospec
